Bug 1573849 - [Docs] IETF OAuth 2.0 Authorization Server Metadata draft specification hyperlink points to expired draft
Summary: [Docs] IETF OAuth 2.0 Authorization Server Metadata draft specification hype...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Gaurav Nelson
QA Contact: Vikram Goyal
Vikram Goyal
URL:
Whiteboard: 3.10-release-plan
Depends On:
Blocks: 1724792
TreeView+ depends on / blocked
 
Reported: 2018-05-02 11:25 UTC by Thom Carlin
Modified: 2019-06-28 16:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-11 01:51:11 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Thom Carlin 2018-05-02 11:25:47 UTC
Document URL: 

https://access.redhat.com/documentation/en-us/openshift_container_platform/3.9/html-single/architecture/#oauth

Section Number and Name: 

4.1.4.5. OAuth Server Metadata

Describe the issue: 

"OAuth 2.0 Authorization Server Metadata draft" points to https://tools.ietf.org/html/draft-ietf-oauth-discovery-04
Within that draft is "Expires: February 4, 2017"

Suggestions for improvement: 

Update hyperlink to point to the current version.

Additional information: 

"Current" is more complicated than it appears because:
* In the draft, at the top near "Expires" is https://tools.ietf.org/html/draft-ietf-oauth-discovery-08
* https://tools.ietf.org/wg/oauth/ has -10 in the Editor's queue
* https://datatracker.ietf.org/doc/draft-ietf-oauth-discovery/ uses -10 (current copy is at the bottom)
* https://tools.ietf.org/wg/oauth/draft-ietf-oauth-discovery/ also shows -10

I would defer to any documentation standards we have (as long it is a current [not-expired] document)

Comment 1 Gaurav Nelson 2018-05-10 02:38:02 UTC
Changes are in PR https://github.com/openshift/openshift-docs/pull/9143

Updated the URL to point to https://tools.ietf.org/html/draft-ietf-oauth-discovery-10

Comment 2 openshift-github-bot 2018-05-10 10:43:39 UTC
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/5021b9a32f67b936cbffd9ac12cfdc8a941d3a52
Merge pull request #9143 from gaurav-nelson/bug1573849-fixes

BUG#1573849 - fixes - Updated hyperlink to the most recent draft specification


Note You need to log in before you can comment on or make changes to this bug.